GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
gtpin::GtMemoryAccessChannelType Class Reference
GTPin: GEN Architecture

Type of access to memory with XYZW channels. More...

`#include <gt_gpu_defs.h>`

## Public Member Functions
constexpr | GtMemoryAccessChannelType (GT_MEM_ACCESS_CHANNEL_TYPE v=GT_MEM_ACCESS_CHANNEL_TYPE_NONE)
| Conversion constructor.
constexpr | operator GT_MEM_ACCESS_CHANNEL_TYPE () const
| Conversion operator.
constexpr bool | IsValid () const
| Return true for a valid access channel type.

## Detailed Description

Type of access to memory with XYZW channels.

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT